#include "hvif-light.h"

#include <stdint.h>
#include <cairo.h>

#define INTERNAL_DATASTRUCTURES
#include "hvif-light.c"
#undef INTERNAL_DATASTRUCTURES

bool
hvif_render_image(const char* filename, hvif_image* image)
{
	cairo_surface_t* surface =
		cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 240, 80);
	cairo_t* cr = cairo_create(surface);

	cairo_destroy(cr);

	bool result = true;
	if (cairo_surface_write_to_png(surface, filename) != CAIRO_STATUS_SUCCESS)
		result = false;
	cairo_surface_destroy(surface);
	return result;
}
